<?php
	include_once(realpath(dirname(__FILE__)) . "/../../../classes/PluginsClassiques.class.php");
	include_once(realpath(dirname(__FILE__)) . "/../../../classes/Venteprod.class.php");
	include_once(realpath(dirname(__FILE__)) . "/../../../classes/Commande.class.php");
	include_once(realpath(dirname(__FILE__)) . "/../../../classes/Produit.class.php");

	class Dc_meilleursventes extends PluginsClassiques {

		const VERSION 	= '1.3.1';
		const MODULE    = 'Meilleurs ventes';

		public function __construct(){
			parent::__construct("dc_meilleursventes");
		}

		public function init() {
			// TITRE - CHAPO - DESCRIPTION - DEVISE
			$this->ajout_desc(
            	"Meilleurs ventes",
                "Plugin de meilleurs ventes",
                "Ce plugin vous permet d'afficher les meilleurs ventes de vos produit.",
                1);
		}

		public function destroy() {
			// Rien
		}

		public function boucle($texte, $args) {

			$num = lireTag($args, "num");
			$classement = lireTag($args, "classement");
			$exclusion = lireTag($args, "exclusion");

			$where = "";

			$res="";

			if ($classement == "inverse") {
				$ordre = "ASC";
			} else {
				$ordre = "DESC";
			}

			if ($exclusion != "") {
				$where = " AND v.ref NOT IN('" . str_replace(",", "','", $exclusion) . "')";
			}

			$query = "
				SELECT
					count(v.ref) AS totalvente, v.ref, v.titre, p.id
				FROM
					".Commande::TABLE." AS c
				LEFT JOIN
					".Venteprod::TABLE." AS v ON v.commande = c.id
				LEFT JOIN
					".Produit::TABLE." p on p.ref = v.ref
				WHERE
					v.ref<> '' $where
				GROUP BY
					v.ref
				ORDER BY
					totalvente $ordre
				limit
					0,$num
			";

			$resul = $this->query($query);

			while ($resul && $row = $this->fetch_object($resul)) {

				$temp = $texte;

				$temp = str_replace("#PRODUIT", "$row->id", $temp);
				$temp = str_replace("#REF", 	"$row->ref", $temp);
				$temp = str_replace("#TITRE", 	"$row->titre", $temp);
				$temp = str_replace("#COMPTEUR","$row->totalvente", $temp); 

				$res .= $temp;
			}

			return $res;
		}
	}
?>
